Subject: bug#44818: 27.0.91; wedged

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Dec 2020 16:53:06 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 03 Dec 2020 00:29:04 -0500
> 
>   > > I wonder if it is possible to detect that a single line has taken too
>   > > long, and set a flag to truncate long lines in that buffer.
>   > > Perhaps set truncate-lines.
> 
>   > That could be too drastic: Emacs becomes painfully slow long after the
>   > number of characters exceeds 80 or 130 or 250 or any other reasonable
>   > line width.  So setting truncate-lines would hide too much from the
>   > view.
> 
> Sorry, I am don't follow you.  What exactly is the problem?  What action
> do you recommend, or discourage?

You suggested to behave as if truncate-lines is turned on when we
discover a line whose rendering takes too long.  I'm saying that doing
so will prevent users from seeing more than a hundred or so characters
of every line, and hide the rest.  And that might be too drastic a
measure, because Emacs becomes slow on lines much longer than 100 or
200 characters; a single very long line will only make it slow for
that single window-full.  IOW, the punishment is too severe, IMO.